NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/actor-project-threads/{thread_id}/filesystem

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

thread_id*string

Query Parameters

path?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/actor-project-threads/string/filesystem"
{  "exists": true,  "files": [    {      "path": "string",      "name": "string",      "is_dir": true,      "size_bytes": 0,      "modified_at": "2019-08-24T14:15:22Z"    }  ],  "mounts": [    {      "mount_path": "string",      "mode": "string",      "description": "string"    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}